Get Quote by Token
1 min
GET
https://api.upstartcommerce.com/v1/quote/tokenized/{token}
Header Parameters
- x-upstart-tenantstringrequiredDescription
Responses
200
- Quote
- objectBaseQuote
- customerCustomerrequired
- nameName
- firststringrequiredExampleDescription
- laststringrequiredExampleDescription
- middleInitialstringExampleDescription
- salutationstringExampleDescription
- suffixstringExampleDescription
- emailstring<email>Formatemail
- shippingAddressAddressDescription
- street1stringrequired
- street2string
- citystringrequired
- countystring
- stateOrRegionstringrequired
- countrystringrequiredDescriptionMin Length2Max Length2
- postalCodestringrequired
- poBoxboolean
- nameName
- firststringrequiredExampleDescription
- laststringrequiredExampleDescription
- middleInitialstringExampleDescription
- salutationstringExampleDescription
- suffixstringExampleDescription
- businessNamestring
- phoneNumberstring
- salesAssociateSalesAssociaterequired
- idstringrequired
- nameName
- firststringrequiredExampleDescription
- laststringrequiredExampleDescription
- middleInitialstringExampleDescription
- salutationstringExampleDescription
- suffixstringExampleDescription
- currencystringrequired
- itemsQuoteItem[]required
- catalogItemIdstring
- skuIdSkuIdrequired
- targetItemIdsSkuId[]Description
- quantityintegerrequired
- pricingQuoteItemPrice
- typestring
- zonestring
- pricestring
- listPricestring
- inStorePickUpbooleanDescriptionDefaultfalse
- validationMessagesQuoteValidationMessage[]Description
- detailstringDescription
- levelQuoteValidationMessageLevelrequired
- messagestringDescription
- codeQuoteValidationMessageCoderequiredDescription
- storeLocationIdstringrequiredDescription
- object
- idinteger<int64>requiredDescriptionFormatint64
- siteIdSiteIdrequired
- createdAtstring<date-time>requiredFormatdate-time
- expiresAtstring<date>Formatdate
- externalIdstringrequiredDescription
- archivedItemsstring[]requiredDescriptionDefault
401
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
404
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
curl
curl --request GET \
--url https://api.upstartcommerce.com/v1/quote/tokenized/{token} \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/quote/tokenized/{token}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/quote/tokenized/{token}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/quote/tokenized/{token}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Success-quote retrieved.
{
"customer": {
"name": {
"first": "John",
"last": "Smith",
"middleInitial": "D.",
"salutation": "Capt.",
"suffix": "Sr."
},
"email": "",
"shippingAddress": {
"street1": "",
"street2": "",
"city": "",
"county": "",
"stateOrRegion": "",
"country": "",
"postalCode": "",
"poBox": false,
"name": {
"first": "John",
"last": "Smith",
"middleInitial": "D.",
"salutation": "Capt.",
"suffix": "Sr."
},
"businessName": "",
"phoneNumber": ""
}
},
"salesAssociate": {
"id": "",
"name": {
"first": "John",
"last": "Smith",
"middleInitial": "D.",
"salutation": "Capt.",
"suffix": "Sr."
}
},
"currency": "",
"items": [
{
"catalogItemId": "",
"skuId": "",
"targetItemIds": [
""
],
"quantity": 0,
"pricing": {
"type": "",
"zone": "",
"price": "",
"listPrice": ""
},
"inStorePickUp": false,
"validationMessages": [
{
"detail": "",
"level": "",
"message": "",
"code": ""
}
]
}
],
"storeLocationId": "",
"id": "",
"siteId": "",
"createdAt": "",
"expiresAt": "",
"externalId": "",
"archivedItems": [
""
]
}401
// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}404
// The copy of the resource you are modifying has been changed on the server. This request has not been processed to prevent data loss.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}